Package ghidra.app.util.bin.format.pe.debug

# Class OMFFileIndex

java.lang.Object
ghidra.app.util.bin.format.pe.debug.OMFFileIndex

public class OMFFileIndex extends Object
A class to represent the Object Module Format (OMF) File Index data structure.

     short cMod              - Count or number of modules in the executable.
     short cRef              - Count or number of file name references.
     short [] modStart - array of indices into the nameoffset table for each module.  Each index is the start of the file name references for each module.
     short cRefCnt   - number of file name references per module.
     int [] nameRef          - array of offsets in to the names table.  For each module the offset to the first references file name is at nameRef[modStart] and continues for cRefCnt entries.
     String names    - file names.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getCMod()`
  Returns the number of modules in the executable.
  `short`
  `getCRef()`
  Returns the number of file name references in the executable.
  `short[]`
  `getCRefCnt()`
  Returns the indices into the nameoffset table for each file.
  `short[]`
  `getModStart()`
  Returns the array of indices into the nameoffset table for each module.
  `int[]`
  `getNameRef()`
  Returns the array of offsets into the names table.
  `String[]`
  `getNames()`
  Returns the file names referenced in the executable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCMod

    public short getCMod()
    Returns the number of modules in the executable.
    Returns:
      the number of modules in the executable

  - ### getCRef

    public short getCRef()
    Returns the number of file name references in the executable.
    Returns:
      the number of file name references in the executable

  - ### getNameRef

    public int[] getNameRef()
    Returns the array of offsets into the names table.
    Returns:
      the array of offsets in to the names table

  - ### getNames

    public String[] getNames()
    Returns the file names referenced in the executable.
    Returns:
      the file names referenced in the executable

  - ### getCRefCnt

    public short[] getCRefCnt()
    Returns the indices into the nameoffset table for each file.
    Returns:
      the indices into the nameoffset table for each file

  - ### getModStart

    public short[] getModStart()
    Returns the array of indices into the nameoffset table for each module.
    Returns:
      the array of indices into the nameoffset table for each module